//---------------------------------------------------------------------------

#ifndef ProxyDlgsH
#define ProxyDlgsH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>

#include "QSProxyWins.h"
//---------------------------------------------------------------------------

AnsiString __fastcall OpenProxyDialog(TForm *Owner, AnsiString Proxy);

class TProxyDlg : public TForm
{
__published:	// IDE-managed Components
        TBevel *Bevel1;
        TButton *OkBtn;
        TButton *CancelBtn;
        TCheckBox *ProxyAuthBox;
        TLabel *Label5;
        TEdit *ProxyUserID;
        TLabel *Label4;
        TEdit *ProxyPassword;
        TCheckBox *ProxyHideTyping;
        TBevel *Bevel2;
        TBevel *Bevel3;
        TLabel *Label2;
        TEdit *ProxyHost;
        TLabel *ProxySocksVersion;
        TComboBox *SocksVerBox;
        TCheckBox *HTTPBox;
        TCheckBox *POP3Box;
        TCheckBox *SMTPBox;
        TCheckBox *FTPBox;
        TCheckBox *NNTPBox;
        TEdit *HTTPPort;
        TEdit *POP3Port;
        TEdit *SMTPPort;
        TEdit *FTPPort;
        TEdit *NNTPPort;
        TLabel *Label1;
        TLabel *Label3;
        TBevel *Bevel4;
        TLabel *Label6;
        TEdit *ProxyName;
        TCheckBox *TORBox;
        void __fastcall FormCloseQuery(TObject *Sender, bool &CanClose);
        void __fastcall ProxyHideTypingClick(TObject *Sender);
        void __fastcall ProxyAuthBoxClick(TObject *Sender);
        void __fastcall ProxyBoxClick(TObject *Sender);
        void __fastcall ProxyHostExit(TObject *Sender);
        void __fastcall SocksVerBoxChange(TObject *Sender);
private:	// User declarations
public:		// User declarations
        AnsiString ProxyNameStr;
        TStringList *OrgData, *NewData;
        bool isnew;

        __fastcall virtual TProxyDlg(TComponent* Owner);
        __fastcall virtual TProxyDlg(TComponent* Owner, const AnsiString &Proxy);
        __fastcall virtual~TProxyDlg();

        //AnsiString __fastcall IndexStr();
        //AnsiString __fastcall IndexStr(TStrings *Data);
        void __fastcall EnablePort(bool enable, TEdit *port); // port used by proxy
        void __fastcall EnableSignOn(bool enable, TEdit *signon);
        void __fastcall SetData(TStrings *Data);
        void __fastcall GetData(TStrings *Data);
};

AnsiString __fastcall ProxyIndexStr(TStrings *Data);

//---------------------------------------------------------------------------
extern PACKAGE TProxyDlg *ProxyDlg;
//---------------------------------------------------------------------------
#endif
