//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "Global2.h"
//---------------------------------------------------------------------------
USEFORM("PrxyOptionsDlgs.cpp", PrxyOptionsDlg);
USEFORM("AboutDlgs2.cpp", AboutDlg);
USEFORM("QSProxyWins.cpp", QSProxyWin);
USEFORM("..\shared\HistoryWins.cpp", HistoryWin);
//---------------------------------------------------------------------------
WINAPI WinMain(HINSTANCE, HINSTANCE, LPSTR, int)
{
        HANDLE hWnd;
        CreateMutex(NULL,FALSE,"QSProxyWin");
        if(GetLastError() == ERROR_ALREADY_EXISTS)
        {
           if ((hWnd = FindWindow("TQSProxyWin", NULL)) > 0)
           {
              ShowWindow(hWnd,SW_SHOWDEFAULT);
              SetForegroundWindow(hWnd);
              return 0;
           }
        }

        WM_QSAPPMESSAGE = RegisterWindowMessage(WM_QSAppMessage.c_str());

        try
        {
                 Application->Initialize();
                 Application->CreateForm(__classid(TQSProxyWin), &QSProxyWin);
                 Application->Run();
        }
        catch (Exception &exception)
        {
                 Application->ShowException(&exception);
        }
        catch (...)
        {
                 try
                 {
                         throw Exception("");
                 }
                 catch (Exception &exception)
                 {
                         Application->ShowException(&exception);
                 }
        }
        return 0;
}
//---------------------------------------------------------------------------
